package com.tao.service;

import com.tao.pojo.AppPage;

import java.util.List;

/**
 * @InterfaceName AppPageService
 * @Description TODO
 * @Author zhangyuantao
 * @Date 2022/12/10 9:39
 * @Version 1.0
 */
public interface AppPageService {

    /**
     * @param id ID
     * @return com.tao.pojo.AppPage
     * @Description 根据ID查找元素
     */
    public AppPage selectAppPageById(Long id);

    /**
     * @param pageName
     * @return com.tao.pojo.AppPage
     * @Description 根据页面名称查找元素
     */
    public AppPage selectAppPageByName(String pageName);

    /**
     * @param appPage 当appPage属性为空时，则返回所有元素
     * @return java.util.List<com.tao.pojo.AppPage>
     * @Description 根据appPage查找元素列表
     */
    public List<AppPage> selectAppPageList(AppPage appPage);

    /**
     * @param appPage
     * @return int
     * @Description 插入元素
     */
    public int insertAppPage(AppPage appPage);

    /**
     * @param appPage
     * @return int
     * @Description 更新元素
     */
    public int updateAppPage(AppPage appPage);

    /**
     * @param id
     * @return int
     * @Description 根据ID删除元素
     */
    public int deleteAppPageById(Long id);

    /**
     * @param
     * @return int
     * @Description 删除全部数据
     */
    public int deleteAll();

}
